<template>
	<view>
		<button @click="pay">付费</button>
	</view>
</template>

<script setup lang="ts">
	const novelPlugin = requirePlugin('novel-plugin');
	const props = defineProps({
		novelManagerId: {
	      type: Number,
	      value: -1
	    },
	    bookId: {
	      type: String,
	      value: ''
	    },
	    chapterIndex: {
	      type: Number,
	      value: -1
	    }
	})
	
	function pay(){
		const novelManager = novelPlugin.getNovelManager(props.novelManagerId)
		console.log("id",novelManager.getId())
		console.log("BookId",novelManager.getBookId())
	}
</script>

<style>
</style>